Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol
Interface ProtocolFactory

All Known Implementing Classes:
  MockUpnpService.MockProtocolFactory, ProtocolFactoryImpl

    public interface ProtocolFactory

Method Summary
`ReceivingAsync` | `createReceivingAsync(IncomingDatagramMessage message)`
`ReceivingSync` | `createReceivingSync(StreamRequestMessage requestMessage)`
`SendingAction` | `createSendingAction(ActionInvocation actionInvocation, URL controlURL)`
`SendingEvent` | `createSendingEvent(LocalGENASubscription subscription)`
`SendingNotificationAlive` | `createSendingNotificationAlive(LocalDevice localDevice)`
`SendingNotificationByebye` | `createSendingNotificationByebye(LocalDevice localDevice)`
`SendingRenewal` | `createSendingRenewal(RemoteGENASubscription subscription)`
`SendingSearch` | `createSendingSearch(UpnpHeader searchTarget, int mxSeconds)`
`SendingSubscribe` | `createSendingSubscribe(RemoteGENASubscription subscription)`
`SendingUnsubscribe` | `createSendingUnsubscribe(RemoteGENASubscription subscription)`
`UpnpService` | `getUpnpService()`

Method Detail

### getUpnpService

    UpnpService getUpnpService()

### createReceivingAsync

    ReceivingAsync createReceivingAsync(IncomingDatagramMessage message)
                                        throws ProtocolCreationException

  Throws:
    `ProtocolCreationException`

### createReceivingSync

    ReceivingSync createReceivingSync(StreamRequestMessage requestMessage)
                                      throws ProtocolCreationException

  Throws:
    `ProtocolCreationException`

### createSendingNotificationAlive

    SendingNotificationAlive createSendingNotificationAlive(LocalDevice localDevice)

### createSendingNotificationByebye

    SendingNotificationByebye createSendingNotificationByebye(LocalDevice localDevice)

### createSendingSearch

    SendingSearch createSendingSearch(UpnpHeader searchTarget,
                                      int mxSeconds)

### createSendingAction

    SendingAction createSendingAction(ActionInvocation actionInvocation,
                                      URL controlURL)

### createSendingSubscribe

    SendingSubscribe createSendingSubscribe(RemoteGENASubscription subscription)

### createSendingRenewal

    SendingRenewal createSendingRenewal(RemoteGENASubscription subscription)

### createSendingUnsubscribe

    SendingUnsubscribe createSendingUnsubscribe(RemoteGENASubscription subscription)

### createSendingEvent

    SendingEvent createSendingEvent(LocalGENASubscription subscription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.